cancel
Showing results for 
Search instead for 
Did you mean: 

Drivers & Software

ndeana
Journeyman III

Error while install driver for RX 5700xt on Ubuntu 20.04.2

When i have installed amdgpu-pro-20.45-1188099-ubuntu-20.04 received error(below). When i rebooted started getting black screen on 1-2 sec when start anything with video (youtube, vlc, games etc)

Error:

dpkg: error processing package amdgpu-dkms (--configure):
installed amdgpu-dkms package post-installation script subprocess returned error exit status 10
dpkg: dependency problems prevent configuration of amdgpu:
amdgpu depends on amdgpu-dkms (= 1:5.6.20.906316-1188099); however:
Package amdgpu-dkms is not configured yet.

dpkg: error processing package amdgpu (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of amdgpu-pro-rocr-opencl:
amdgpu-pro-rocr-opencl depends on amdgpu-dkms (= 1:5.6.20.906316-1188099); however:
Package amdgpu-dkms is not configured yet.

dpkg: error processing package amdgpu-pro-rocr-opencl (--configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because the error message indicates its a followup error from a previous failure.

Errors were encountered while processing:
amdgpu-dkms
amdgpu
amdgpu-pro-rocr-opencl
E: Sub-process /usr/bin/dpkg returned an error code (1)

System:

  • Ubuntu 20.04.2
  • xfx rx5700xt
  • Linux 5.4.0-42-generic (also trying 5.4.0-45-generic and 5.4.0-47-generic)
  • kernel 5.8.0-43-generic (cannot install another version, get same error)

Log from : /var/crash/amdgpu-dkms.0.crash

 

Spoiler
ProblemType: Package
DKMSBuildLog:
DKMS make.log for amdgpu-5.6.20.906316-1188099 for kernel 5.8.0-43-generic (x86_64)
make: Entering directory '/usr/src/linux-headers-5.8.0-43-generic'
/var/lib/dkms/amdgpu/5.6.20.906316-1188099/build/Makefile:20: "Local GCC version 90303 does not match kernel compiler GCC version 90300"
/var/lib/dkms/amdgpu/5.6.20.906316-1188099/build/Makefile:21: "This may cause unexpected and hard-to-isolate compiler-related issues"
AR /var/lib/dkms/amdgpu/5.6.20.906316-1188099/build/built-in.a
...
make[2]: *** [scripts/Makefile.build:288: /var/lib/dkms/amdgpu/5.6.20.906316-1188099/build/amd/amdgpu/amdgpu_ttm.o] Error 1
make[1]: *** [scripts/Makefile.build:519: /var/lib/dkms/amdgpu/5.6.20.906316-1188099/build/amd/amdgpu] Error 2
make: *** [Makefile:1780: /var/lib/dkms/amdgpu/5.6.20.906316-1188099/build] Error 2
make: Leaving directory '/usr/src/linux-headers-5.8.0-43-generic'
DKMSKernelVersion: 5.8.0-43-generic
Date: Tue Feb 23 01:18:39 2021
DuplicateSignature: dkms:amdgpu-dkms:1:5.6.20.906316-1188099:/var/lib/dkms/amdgpu/5.6.20.906316-1188099/build/ttm/ttm_bo_vm.c:76:24: error: ‘struct mm_struct’ has no member named ‘mmap_sem’; did you mean ‘mmap_base’?
Package: amdgpu-dkms 1:5.6.20.906316-1188099
PackageVersion: 1:5.6.20.906316-1188099
SourcePackage: amdgpu-dkms
Title: amdgpu-dkms 1:5.6.20.906316-1188099: amdgpu kernel module failed to build


Log from: /var/lib/dkms/amdgpu/5.6.20.906316-1188099/build/make.log

Spoiler
DKMS make.log for amdgpu-5.6.20.906316-1188099 for kernel 5.8.0-43-generic (x86_64)
make: Entering directory '/usr/src/linux-headers-5.8.0-43-generic'
/var/lib/dkms/amdgpu/5.6.20.906316-1188099/build/Makefile:20: "Local GCC version 90303 does not match kernel compiler GCC version 90300"
/var/lib/dkms/amdgpu/5.6.20.906316-1188099/build/Makefile:21: "This may cause unexpected and hard-to-isolate compiler-related issues"
...
make[2]: *** [scripts/Makefile.build:290: /var/lib/dkms/amdgpu/5.6.20.906316-1188099/build/amd/amdgpu/amdgpu_ttm.o] Error 1
make[1]: *** [scripts/Makefile.build:519: /var/lib/dkms/amdgpu/5.6.20.906316-1188099/build/amd/amdgpu] Error 2
make: *** [Makefile:1780: /var/lib/dkms/amdgpu/5.6.20.906316-1188099/build] Error 2
make: Leaving directory '/usr/src/linux-headers-5.8.0-43-generic'

 

 

 

0 Kudos